Package: org.apache.groovy.contracts

## [Java] Class PostconditionViolation

- org.apache.groovy.contracts.PostconditionViolation

-     public class PostconditionViolation
      extends AssertionViolation

  Thrown whenever a postcondition violation occurs.

  See Also:
    AssertionViolation

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PostconditionViolation()` Creates a postcondition violation without an explicit detail message.
    `PostconditionViolation(Object o)` Creates a postcondition violation with an object-valued detail.
    `PostconditionViolation(boolean b)` Creates a postcondition violation with a boolean detail.
    `PostconditionViolation(char c)` Creates a postcondition violation with a character detail.
    `PostconditionViolation(int i)` Creates a postcondition violation with an integer detail.
    `PostconditionViolation(long l)` Creates a postcondition violation with a long detail.
    `PostconditionViolation(float v)` Creates a postcondition violation with a floating-point detail.
    `PostconditionViolation(double v)` Creates a postcondition violation with a double-precision detail.

- - ### Constructor Detail

    - #### public PostconditionViolation()

      Creates a postcondition violation without an explicit detail message.

    - #### public PostconditionViolation(Object o)

      Creates a postcondition violation with an object-valued detail.

      Parameters:
        `o` - the detail object

    - #### public PostconditionViolation(boolean b)

      Creates a postcondition violation with a boolean detail.

      Parameters:
        `b` - the detail value

    - #### public PostconditionViolation(char c)

      Creates a postcondition violation with a character detail.

      Parameters:
        `c` - the detail value

    - #### public PostconditionViolation(int i)

      Creates a postcondition violation with an integer detail.

      Parameters:
        `i` - the detail value

    - #### public PostconditionViolation(long l)

      Creates a postcondition violation with a long detail.

      Parameters:
        `l` - the detail value

    - #### public PostconditionViolation(float v)

      Creates a postcondition violation with a floating-point detail.

      Parameters:
        `v` - the detail value

    - #### public PostconditionViolation(double v)

      Creates a postcondition violation with a double-precision detail.

      Parameters:
        `v` - the detail value